import bb.cascades 1.2
import bb.cascades.maps 1.0
import QtMobilitySubset.location 1.1

// creates one page with a label
//Sheet
//{
//    peekEnabled: false
Page {
    actions: [
        //! [0]
/*        ActionItem {
            title: qsTr("Less")
            imageSource: "asset:///images/icon_edit1.png"
            ActionBar.placement: ActionBarPlacement.OnBar
            onTriggered: {
                _mainApp.show_signals(1)
            }
        },
        ActionItem {
            title: qsTr("Reset")
            imageSource: "asset:///images/icon_edit1.png"
            ActionBar.placement: ActionBarPlacement.OnBar
            onTriggered: {
                _mainApp.show_signals(0)
            }
        },
  */      
        ActionItem {
                    title: _mainApp.viewModeTitle
                    imageSource: "asset:///images/ic_map.png"
                    ActionBar.placement: ActionBarPlacement.OnBar
                    onTriggered: {
                        _mainApp.nextViewMode()
                        map.setMapType(_mainApp.viewMode);
                    }
                    objectName: "action_map_view"
        }
        
        //! [0]
    ]
    

    Container {
        id: root
        layout: DockLayout {
        }
        verticalAlignment: VerticalAlignment.Fill
        horizontalAlignment: HorizontalAlignment.Fill
        Map {
            horizontalAlignment: HorizontalAlignment.Center
            verticalAlignment: VerticalAlignment.Top
            id: map
            objectName: "google_map"
        }
        
        Container {
            horizontalAlignment: HorizontalAlignment.Left
            verticalAlignment: VerticalAlignment.Bottom
            layout: StackLayout {
            
            }
            background: Color.Gray
            leftPadding: 10
            topPadding: 10
            bottomPadding: 10
            preferredWidth: 120.0
            preferredHeight: 100
            opacity: 0.5
            Button {
                imageSource: "asset:///images/ic_add.png"
                preferredWidth: 81.0
                opacity: 0.9
                onClicked: { 
                    map.hideLabel()
                    _mainApp.zoomMap(1)                                 
                }
            }
            Button {
                preferredWidth: 81.0
                imageSource: "asset:///images/ic_sub.png"
                opacity: 0.9
                onClicked: { 
                    map.hideLabel()
                    _mainApp.zoomMap(-1)                                 
                }
            }
            Label {
                text: ""
            }
        
        }
        
        Container {
            verticalAlignment: VerticalAlignment.Top
            background: Color.Gray
            opacity: 0.6
            preferredHeight: 180
            preferredWidth: 1440
            horizontalAlignment: HorizontalAlignment.Center
            
            Container {
                layout: StackLayout {
                    orientation: LayoutOrientation.LeftToRight
                
                }
                leftPadding: 20
                horizontalAlignment: HorizontalAlignment.Center
                verticalAlignment: VerticalAlignment.Center
                ImageView {
                    imageSource: "asset:///images/ic_gps.png"    
                    verticalAlignment: VerticalAlignment.Center
                }
                Label {
                    leftPadding: 10
                    objectName: "lb_info_gps"
                    textStyle.color: Color.Blue
                    textStyle.fontSize: FontSize.Large
                    verticalAlignment: VerticalAlignment.Center
                }
                
                ImageView {
                    leftPadding: 20
                    imageSource: "asset:///images/ic_signal.png"
                    verticalAlignment: VerticalAlignment.Center
                }
                Label {                        
                    leftPadding: 10
                    objectName: "lb_info_signal"
                    textStyle.color: Color.Blue
                    textStyle.fontSize: FontSize.Large
                    verticalAlignment: VerticalAlignment.Center
                }
            
            }
            
            Container {
                layout: StackLayout {
                    orientation: LayoutOrientation.LeftToRight
                
                }
                leftPadding: 20
                horizontalAlignment: HorizontalAlignment.Center
                verticalAlignment: VerticalAlignment.Center
                Label {
                    leftPadding: 10
                    objectName: "lb_info_cellid"
                    textStyle.color: Color.Blue
                    textStyle.fontSize: FontSize.Large
                    verticalAlignment: VerticalAlignment.Center
                }
            
            }
        
        
        }

    
    }
}
//}
