import bb.cascades 1.2
import bb.cascades.maps 1.0
import QtMobilitySubset.location 1.1

// creates one page with a label
//Sheet
//{
//    peekEnabled: false
    Page {
/*
        titleBar: TitleBar {
            id: addBar
            title: "Signal Quality"
            visibility: ChromeVisibility.Visible

            dismissAction: ActionItem {
                title: "Close"
                onTriggered: {
                    _mainApp.close_map()
                }
            }

            acceptAction: ActionItem {
                title: "Screen"
                onTriggered: {
                    _mainApp.saveSettings()
                }
            }

        } // titleBar
*/
/*
        actions: [
	        //! [0]
	        ActionItem {
	            title: qsTr("Less")
	            imageSource: "asset:///images/icon_edit1.png"
	            ActionBar.placement: ActionBarPlacement.OnBar
	            onTriggered: {
                    _mainApp.show_signals(1)
                }
	        },
	        ActionItem {
	            title: qsTr("Reset")
	            imageSource: "asset:///images/icon_edit1.png"
	            ActionBar.placement: ActionBarPlacement.OnBar
	            onTriggered: {
                    _mainApp.show_signals(0)
                }
	        }
	    //! [0]
	    ]
*/
	    Container {
	        id: root
	        layout: DockLayout {
	        }
	        
	        
	        //! [1]
	        MapView {
	            id: mapview
	            altitude: 3000
	//            latitude: 43.449488
	 //           longitude: -80.406777
	            preferredWidth: 1440
	            preferredHeight: 1440
	            objectName: "mapview"
             	onCaptionButtonClicked: {
                	_mainApp.map_route()

            	}
//                onMapLongPressed: {
 //                   _mainApp.map_drawCircle(latitude, longitude)
//	            }

            /*            onAltitudeChanged: {
	                status.setText(qsTr("altitude changed: %1").arg(newAlt));
	            }
	            onHeadingChanged: {
	                status.setText(qsTr("heading changed: %1").arg(newHeading));
	            }
	            onLatitudeChanged: {
	                status.setText(qsTr("latitude changed: %1").arg(newLat));
	            }
	            onLongitudeChanged: {
	                status.setText(qsTr("longitude changed: %1").arg(newLon));
	            }
	            onTiltChanged: {
	                status.setText(qsTr("tilt changed: %1").arg(newTilt));
	            }
	            onMapLongPressed: {
	                status.setText(qsTr("map long pressed"));
	            }
	            onRequestRender: {
	                pinContainer.updateMarkers();
	            }
	*/
	        }
	        
            Container {
                verticalAlignment: VerticalAlignment.Top
                background: Color.Gray
                opacity: 0.6
                preferredHeight:180
                preferredWidth: 1440
                horizontalAlignment: HorizontalAlignment.Center

                Container {
                    layout: StackLayout {
                        orientation: LayoutOrientation.LeftToRight
        
                    }
                    leftPadding: 20
                    horizontalAlignment: HorizontalAlignment.Center
                    verticalAlignment: VerticalAlignment.Center
                    ImageView {
                        imageSource: "asset:///images/ic_gps.png"    
                        verticalAlignment: VerticalAlignment.Center
                    }
                    Label {
                        leftPadding: 10
                        objectName: "lb_info_gps"
                        textStyle.color: Color.Blue
                        textStyle.fontSize: FontSize.Large
                        verticalAlignment: VerticalAlignment.Center
                    }
                    
                    ImageView {
                        leftPadding: 20
                        imageSource: "asset:///images/ic_signal.png"
                        verticalAlignment: VerticalAlignment.Center
                    }
                    Label {                        
                        leftPadding: 10
                        objectName: "lb_info_signal"
                        textStyle.color: Color.Blue
                        textStyle.fontSize: FontSize.Large
                        verticalAlignment: VerticalAlignment.Center
                    }
                    
                }

                Container {
                    layout: StackLayout {
                        orientation: LayoutOrientation.LeftToRight
                    
                    }
                    leftPadding: 20
                    horizontalAlignment: HorizontalAlignment.Center
                    verticalAlignment: VerticalAlignment.Center
                    Label {
                        leftPadding: 10
                        objectName: "lb_info_cellid"
                        textStyle.color: Color.Blue
                        textStyle.fontSize: FontSize.Large
                        verticalAlignment: VerticalAlignment.Center
                    }
                
                }

            
            }

	
	    }
	
	}
//}
